Page MenuHomePhabricator

Update grey interlanguage links entry point popup
Closed, ResolvedPublic

Description

Content translation surfaces missing languages in the list of interlanguage links for users to consider translating them. In this way users reading a Wikipedia article can easily identify that the article is missing in a language that they can translate into.

In preparation for Content translation moving out of beta (T214689), which will expose these entry points to more users (including those not interested in translation), we want to review this entry point based on the following considerations:

  • Simplify the process. Instead of the current options to either use Content translation or start from scratch, we want to focus the action only on translating. The current data on deletion ratios suggests that by translating users are more likely to succeed. this also allows to simplify the current formby not requiring the user to provide a title for the translation yet.
  • Provide a way for users not interested in translation to disable.
  • Resolve styling and layout issues identified (T192316)

Proposed solution

The proposed solution conveys that the page does not exist on the selected language and encourages the user to create it by translating.

This page does not exist in <target-language> yet.
Do you want to create it?

You can help Wikipedia by translating this page. Translating is an easy way to create new content in your language.
<terms-of-use-text> [Translate from<source-language>]

The message makes it clear that the user will be creating a page (i.e., we want to reduce the ambiguity about "translating" meaning to either get or provide a translation). It encourages the user by presenting it as a simple task ("it's easy") and connecting it to a motivator ("more content in your language"). Options are provided to:

  • Start the translation ("Translate from <source-language>"). The user will access the translation editor to start the translation.
    • The "Translate from <source-language>" action will also activate the future invite to the "Contributions" page (which is covered in a separate ticket: T216498). This will allow users that discover Content translation for the first time through these grey language links to become aware of the main persistent entry point.
  • Close ("X" icon). Clicking the "X" icon or outside the popup will close the popup dialog.
  • Settings (cog icon). Will link to the preferences section where the user can disable the Content translation entry points (T223896). This option won't be shown for the cases where the tool is still in beta.

The text about terms of use and license is the standard one (which needs an update: T214673)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2019, 11:51 AM
Pginer-WMF renamed this task from Update grey interlanguage link popup to Update grey interlanguage links entry point popup.Mar 7 2019, 11:52 AM
Pginer-WMF updated the task description. (Show Details)Mar 12 2019, 11:14 AM

A few minor comments:

  • I would propose the settings cog icon to be at the lower end of the dialog, not close to the close icon. Similar to the Page Previews treatment. Maybe even with less opacity.
  • The close icon should be on one line with the dialog heading
  • Callout should follow 8px outer size, see T85949

A few minor comments:

Is the mockup below capturing well your proposed changes?

Pginer-WMF triaged this task as Normal priority.Apr 22 2019, 12:51 PM

@Pginer-WMF That mockup ^ looks excellent from my POV.

Pginer-WMF updated the task description. (Show Details)Apr 23 2019, 3:57 PM

@Pginer-WMF That mockup ^ looks excellent from my POV.

Great. I updated the ticket description. Thanks for the feedback, Volker!

santhosh claimed this task.May 9 2019, 12:18 PM

Change 509046 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] Update interlanguage link entry point

https://gerrit.wikimedia.org/r/509046

Change 509046 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Update interlanguage link entry point

https://gerrit.wikimedia.org/r/509046

Change 513055 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] Show settings button in interlanguage entrypoint if CX is not beta

https://gerrit.wikimedia.org/r/513055

Change 513055 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Show settings button in interlanguage entrypoint if CX is not beta

https://gerrit.wikimedia.org/r/513055

Etonkovidova added a subscriber: Etonkovidova.

The settings button is not displayed in cx2-testing.

@Pginer-WMF
Checking wmf.8 - if a user has not yet enabled ContentTranslation feature in a lang wiki, the interlanguage wiki will enabled it automaticlly when user is redirected via grey interlanguage link. Is this behavior 'as designed'?

Steps:

  1. A user has ContentTranslation enabled in enwiki, but not in eswiki. On enwiki find an article (via Random article) that does not exist in Spanish, e.g. Konstantinos Kosmopoulos.
  2. Click on español grey link - you'll be redirected to Especial:Traducción de contenidos page even though you do not have enabled ContentTranslation beta feature.

The settings button is not displayed in cx2-testing.
@Pginer-WMF
Checking wmf.8 - if a user has not yet enabled ContentTranslation feature in a lang wiki, the interlanguage wiki will enabled it automaticlly when user is redirected via grey interlanguage link. Is this behavior 'as designed'?

Yes. Content translation is available on each wiki, but it is perceived as a global tool by the users. Users are not aware (nor should be) that when translating from French to Japanese they are on Japanese Wikipedia, but when they do it from Japanese to French they are in French Wikipedia instead. Thus, once the user accessed the tool in one wiki, the transitions across wikis automatically enable the tool to avoid the user to get a broken experience.

Otherwise selecting a language pair and starting a translation in CX could lead you to a message telling the tool has not been enabled, which can be confusing if the user is not familiar with the technical details of multilingual wikis.

@Etonkovidova, alongside with the question (that @Pginer-WMF has already answered), you moved the task back to priority backlog.
Now that it is clarified that behavior is expected, can the task be resolved or there is some pending QA work left?

Jpita added a subscriber: Jpita.Jun 20 2019, 10:58 AM

once this patch is reviewed and merged this task is ok to go live

@Etonkovidova, alongside with the question (that @Pginer-WMF has already answered), you moved the task back to priority backlog.
Now that it is clarified that behavior is expected, can the task be resolved or there is some pending QA work left?

Yes, thanks @Pginer for the clarification. As per @Jpita comment - waiting on the patch to check after deployment.

Checked in wmf.11 - works according to the specs. Note: the issue T224880: Gray interlanguage link dialog is misplaced is still unresolved.

@Etonkovidova this is still not showing correctly
(screenshot from production)


(screenshot from this task description)

@Jpita
'wmf.11 cawiki` shows the correct phrasing which is the scope of this ticket.

Other issues (misplacement and display of $1) might be resolved as separate issues.

@Etonkovidova is it for English only?

Etonkovidova added a comment.EditedJun 27 2019, 4:16 PM

@Jpita
$1 is a placeholder for lang version of https://foundation.wikimedia.org/wiki/Terms_of_Use/en. You may also check https://translatewiki.net/wiki/MediaWiki:Cx-license-agreement/en to see what languages have the link in place.

Another helpful link to see if a message has been translated properly: https://translatewiki.net/wiki/Special:Translations?message=cx-license-agreement&namespace=8

The specs for the updated interlanguage links entry point popup are in place. The $1 issue may be a part of this ticket but also might be a separate ticket.